#include <iostream>

using namespace std;

int main ()
{
	int n;
	cin>>n;
	char x[n];
	for(int h=0;h<n;h++)
    {
        cin>>x[h];
    }
	int mora;
	int b[26];
	int c[26];
	int y;
	long long resenje=1;

	if(n<=26)
    {
        cout<<0<<endl;
    }
    else if(n==27)
    {
        cout<<2<<endl;
    }
    else
    {
        for(int i=0;i<26;i++)
        {
            b[i]=0;
            c[i]=0;
        }
        int j=0;
        b[0]=1;
        for(int i=1;i<n;i++)
        {
            if(x[i]==x[i-1])
            {
                b[j]++;
            
            }
            if(x[i]>x[i-1])
            {
                j++;
                b[j]++;
            
            }
            if(x[i]<x[i-1])
            {
                int z=i;
                if(x[z]==x[z+1])
                {
                    y=x[z];
                    c[y-65]++;
                }
                while(x[z]==x[z+1])
                {
                    y=x[z];
                    c[y-65]++;
                }
            }
        }
    for(int j=0;j<26;j++)
        {
            resenje=resenje*b[j];
            if(c[j]>0)
            {
                resenje*=c[j];
            }
        }
    cout<<resenje<<endl;
    }

	return 0;
}